package cn.ibizlab.businesscentral.core.odoo_calendar.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.businesscentral.core.odoo_calendar.domain.Calendar_alarm_manager;
import cn.ibizlab.businesscentral.core.odoo_calendar.filter.Calendar_alarm_managerSearchContext;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[Calendar_alarm_manager] 服务对象接口
 */
public interface ICalendar_alarm_managerService extends IService<Calendar_alarm_manager>{

    boolean create(Calendar_alarm_manager et) ;
    void createBatch(List<Calendar_alarm_manager> list) ;
    boolean update(Calendar_alarm_manager et) ;
    void updateBatch(List<Calendar_alarm_manager> list) ;
    boolean remove(Long key) ;
    void removeBatch(Collection<Long> idList) ;
    Calendar_alarm_manager get(Long key) ;
    Calendar_alarm_manager getDraft(Calendar_alarm_manager et) ;
    boolean checkKey(Calendar_alarm_manager et) ;
    boolean save(Calendar_alarm_manager et) ;
    void saveBatch(List<Calendar_alarm_manager> list) ;
    Page<Calendar_alarm_manager> searchDefault(Calendar_alarm_managerSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


